<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: I2C Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">I2C Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d6/d94/group___n_a_n_o1_x2___i2_c___driver.html">I2C Driver</a> &raquo; <a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">I2C Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for I2C Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad6_2da0_2group______n__a__n__o1__x2______i2__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga07e8bf0b7e1eb66c75b49064310b50e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga07e8bf0b7e1eb66c75b49064310b50e1">I2C_SET_CONTROL_REG</a>(i2c,  u8Ctrl)</td></tr>
<tr class="memdesc:ga07e8bf0b7e1eb66c75b49064310b50e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro sets the I2C control register at one time.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga07e8bf0b7e1eb66c75b49064310b50e1">More...</a><br /></td></tr>
<tr class="separator:ga07e8bf0b7e1eb66c75b49064310b50e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab44eef74686218d541e066124145ba34"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab44eef74686218d541e066124145ba34">I2C_START</a>(i2c)</td></tr>
<tr class="memdesc:gab44eef74686218d541e066124145ba34"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro only set START bit to the control register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab44eef74686218d541e066124145ba34">More...</a><br /></td></tr>
<tr class="separator:gab44eef74686218d541e066124145ba34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18ecbaa3893ead749626ec3cbe6d1f50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18ecbaa3893ead749626ec3cbe6d1f50">I2C_GET_DATA</a>(i2c)</td></tr>
<tr class="memdesc:ga18ecbaa3893ead749626ec3cbe6d1f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns the data stored in data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18ecbaa3893ead749626ec3cbe6d1f50">More...</a><br /></td></tr>
<tr class="separator:ga18ecbaa3893ead749626ec3cbe6d1f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8acb3072a52db55d5eb74542cd683a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8acb3072a52db55d5eb74542cd683a9">I2C_SET_DATA</a>(i2c,  u8Data)</td></tr>
<tr class="memdesc:gaa8acb3072a52db55d5eb74542cd683a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro writes the data to data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8acb3072a52db55d5eb74542cd683a9">More...</a><br /></td></tr>
<tr class="separator:gaa8acb3072a52db55d5eb74542cd683a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga211b1c0cf5431840203935cfd5d0813d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga211b1c0cf5431840203935cfd5d0813d">I2C_GET_STATUS</a>(i2c)</td></tr>
<tr class="memdesc:ga211b1c0cf5431840203935cfd5d0813d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns the status of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga211b1c0cf5431840203935cfd5d0813d">More...</a><br /></td></tr>
<tr class="separator:ga211b1c0cf5431840203935cfd5d0813d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga664d5a97c7cdee7d320355b61ec22902"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga664d5a97c7cdee7d320355b61ec22902">I2C_GET_TIMEOUT_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:ga664d5a97c7cdee7d320355b61ec22902"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns timeout flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga664d5a97c7cdee7d320355b61ec22902">More...</a><br /></td></tr>
<tr class="separator:ga664d5a97c7cdee7d320355b61ec22902"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa63a0d54048dd325306f3642c1d8915a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa63a0d54048dd325306f3642c1d8915a">I2C_CLEAR_TIMEOUT_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gaa63a0d54048dd325306f3642c1d8915a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears timeout flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa63a0d54048dd325306f3642c1d8915a">More...</a><br /></td></tr>
<tr class="separator:gaa63a0d54048dd325306f3642c1d8915a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaafe5fd3b57310f61c978155a7d3f3dba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaafe5fd3b57310f61c978155a7d3f3dba">I2C_GET_WAKEUP_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gaafe5fd3b57310f61c978155a7d3f3dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns wakeup flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaafe5fd3b57310f61c978155a7d3f3dba">More...</a><br /></td></tr>
<tr class="separator:gaafe5fd3b57310f61c978155a7d3f3dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3e70164838782171d0b18268f4e0296"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3e70164838782171d0b18268f4e0296">I2C_GET_WAKEUP_ACK_DONE_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gac3e70164838782171d0b18268f4e0296"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns acknowledge status after waking up.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3e70164838782171d0b18268f4e0296">More...</a><br /></td></tr>
<tr class="separator:gac3e70164838782171d0b18268f4e0296"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86c5a22eb07bb08aa68462c7a3501140"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga86c5a22eb07bb08aa68462c7a3501140">I2C_CLEAR_WAKEUP_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:ga86c5a22eb07bb08aa68462c7a3501140"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears wakeup flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga86c5a22eb07bb08aa68462c7a3501140">More...</a><br /></td></tr>
<tr class="separator:ga86c5a22eb07bb08aa68462c7a3501140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac22d4999dd90624fb9941b93c31543ad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac22d4999dd90624fb9941b93c31543ad">I2C_CLEAR_WAKEUP_ACK_DONE_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gac22d4999dd90624fb9941b93c31543ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears acknowledge status after waking up. And also release SCK pin after clearing this flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac22d4999dd90624fb9941b93c31543ad">More...</a><br /></td></tr>
<tr class="separator:gac22d4999dd90624fb9941b93c31543ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9faca3dc728a4c9c87dbf4c1a9db1d66"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9faca3dc728a4c9c87dbf4c1a9db1d66">I2C_DISABLE_FIFO</a>(i2c)</td></tr>
<tr class="memdesc:ga9faca3dc728a4c9c87dbf4c1a9db1d66"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables the FIFO function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9faca3dc728a4c9c87dbf4c1a9db1d66">More...</a><br /></td></tr>
<tr class="separator:ga9faca3dc728a4c9c87dbf4c1a9db1d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga44e5a9b2699b7075e29e5c15c7eb143a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga44e5a9b2699b7075e29e5c15c7eb143a">I2C_ENABLE_FIFO</a>(i2c)</td></tr>
<tr class="memdesc:ga44e5a9b2699b7075e29e5c15c7eb143a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables the FIFO function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga44e5a9b2699b7075e29e5c15c7eb143a">More...</a><br /></td></tr>
<tr class="separator:ga44e5a9b2699b7075e29e5c15c7eb143a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacacc2531c5b645bd772d203c79eddf9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaacacc2531c5b645bd772d203c79eddf9">I2C_DISABLE_CLOCK_STRETCH</a>(i2c)</td></tr>
<tr class="memdesc:gaacacc2531c5b645bd772d203c79eddf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables clock stretch function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaacacc2531c5b645bd772d203c79eddf9">More...</a><br /></td></tr>
<tr class="separator:gaacacc2531c5b645bd772d203c79eddf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba11c03cde7cef9b5f719f956de107e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba11c03cde7cef9b5f719f956de107e4">I2C_ENABLE_CLOCK_STRETCH</a>(i2c)</td></tr>
<tr class="memdesc:gaba11c03cde7cef9b5f719f956de107e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables clock stretch function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba11c03cde7cef9b5f719f956de107e4">More...</a><br /></td></tr>
<tr class="separator:gaba11c03cde7cef9b5f719f956de107e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49c897474a06bd2e6c5a5a8196c1900b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49c897474a06bd2e6c5a5a8196c1900b">I2C_DISABLE_OVERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:ga49c897474a06bd2e6c5a5a8196c1900b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables over-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49c897474a06bd2e6c5a5a8196c1900b">More...</a><br /></td></tr>
<tr class="separator:ga49c897474a06bd2e6c5a5a8196c1900b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad670b5e947410528045e16b863f69794"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad670b5e947410528045e16b863f69794">I2C_ENABLE_OVERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:gad670b5e947410528045e16b863f69794"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables over-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad670b5e947410528045e16b863f69794">More...</a><br /></td></tr>
<tr class="separator:gad670b5e947410528045e16b863f69794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga885a7306fabd9f2a9e26b88318162761"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga885a7306fabd9f2a9e26b88318162761">I2C_ENABLE_UNDERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:ga885a7306fabd9f2a9e26b88318162761"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enables under-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga885a7306fabd9f2a9e26b88318162761">More...</a><br /></td></tr>
<tr class="separator:ga885a7306fabd9f2a9e26b88318162761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46c0dcd9aec6e8a0d7173d5ae3764c50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46c0dcd9aec6e8a0d7173d5ae3764c50">I2C_DISABLE_UNDERRUN_INT</a>(i2c)</td></tr>
<tr class="memdesc:ga46c0dcd9aec6e8a0d7173d5ae3764c50"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disables under-run interrupt.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46c0dcd9aec6e8a0d7173d5ae3764c50">More...</a><br /></td></tr>
<tr class="separator:ga46c0dcd9aec6e8a0d7173d5ae3764c50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4dd9b04f7f3ed1bbb42a95770352c98e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4dd9b04f7f3ed1bbb42a95770352c98e">I2C_GET_BUS_FREE_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:ga4dd9b04f7f3ed1bbb42a95770352c98e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns I2C bus status flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4dd9b04f7f3ed1bbb42a95770352c98e">More...</a><br /></td></tr>
<tr class="separator:ga4dd9b04f7f3ed1bbb42a95770352c98e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadab79bb6a9a2f9645f71bcf8819384eb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadab79bb6a9a2f9645f71bcf8819384eb">I2C_GET_WAKEUP_RW_FLAG</a>(i2c)</td></tr>
<tr class="memdesc:gadab79bb6a9a2f9645f71bcf8819384eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro returns wakeup read/write flag. After system wake up, this bit indicates that the master wants to read or write in R/W bit of I2C data.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadab79bb6a9a2f9645f71bcf8819384eb">More...</a><br /></td></tr>
<tr class="separator:gadab79bb6a9a2f9645f71bcf8819384eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga1fd3b2898e76b2b2aa68cbdf42c41a63"><td class="memItemLeft" align="right" valign="top">static __INLINE int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1fd3b2898e76b2b2aa68cbdf42c41a63">I2C_STOP</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga1fd3b2898e76b2b2aa68cbdf42c41a63"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro only set STOP bit to the control register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1fd3b2898e76b2b2aa68cbdf42c41a63">More...</a><br /></td></tr>
<tr class="separator:ga1fd3b2898e76b2b2aa68cbdf42c41a63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa01c78af240d256f01f7f5ade53bb5c5"><td class="memItemLeft" align="right" valign="top">static __INLINE int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01c78af240d256f01f7f5ade53bb5c5">I2C_WAIT_READY</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gaa01c78af240d256f01f7f5ade53bb5c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro will return when I2C module is ready.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01c78af240d256f01f7f5ade53bb5c5">More...</a><br /></td></tr>
<tr class="separator:gaa01c78af240d256f01f7f5ade53bb5c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8701d230c114b4b73757a08d0e23309"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">I2C_Open</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:gae8701d230c114b4b73757a08d0e23309"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make I2C module be ready and set the wanted bus clock.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">More...</a><br /></td></tr>
<tr class="separator:gae8701d230c114b4b73757a08d0e23309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21c950fb4e57a2047b69cb811003fa9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">I2C_Close</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga21c950fb4e57a2047b69cb811003fa9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function closes the I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">More...</a><br /></td></tr>
<tr class="separator:ga21c950fb4e57a2047b69cb811003fa9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">I2C_ClearTimeoutFlag</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the timeout flag.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">More...</a><br /></td></tr>
<tr class="separator:ga52dc389ef7d32581831ca8e9c9f4a4bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29b31f62a804d8127bc8d480f5140856"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">I2C_Trigger</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Start, uint8_t u8Stop, uint8_t u8Si, uint8_t u8Ack)</td></tr>
<tr class="memdesc:ga29b31f62a804d8127bc8d480f5140856"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets the control bit of the I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">More...</a><br /></td></tr>
<tr class="separator:ga29b31f62a804d8127bc8d480f5140856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">I2C_DisableInt</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the interrupt of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">More...</a><br /></td></tr>
<tr class="separator:ga8f7c9f0b9e85f4a6de170dbf26826061"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c48aae047e67d4484009b3f56f78e74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">I2C_EnableInt</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga7c48aae047e67d4484009b3f56f78e74"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the interrupt (EI bit) of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">More...</a><br /></td></tr>
<tr class="separator:ga7c48aae047e67d4484009b3f56f78e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">I2C_GetBusClockFreq</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the real bus clock of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">More...</a><br /></td></tr>
<tr class="separator:ga722b0efc53445c3ee7bea5e2b0e48ec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga270c59858dcbe767fdfa7aec2247aab5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">I2C_SetBusClockFreq</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ga270c59858dcbe767fdfa7aec2247aab5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets bus frequency of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">More...</a><br /></td></tr>
<tr class="separator:ga270c59858dcbe767fdfa7aec2247aab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad181ccedfb141167da8faf8ef279ba92"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">I2C_GetIntFlag</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gad181ccedfb141167da8faf8ef279ba92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function gets the interrupt flag of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">More...</a><br /></td></tr>
<tr class="separator:gad181ccedfb141167da8faf8ef279ba92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3ab4949dccb6092ca2727d29bb73949"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">I2C_ClearIntFlag</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gac3ab4949dccb6092ca2727d29bb73949"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the interrupt flag of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">More...</a><br /></td></tr>
<tr class="separator:gac3ab4949dccb6092ca2727d29bb73949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga87ee3e2d3837de97391187449bb66af2"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">I2C_GetStatus</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga87ee3e2d3837de97391187449bb66af2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the status of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">More...</a><br /></td></tr>
<tr class="separator:ga87ee3e2d3837de97391187449bb66af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94200ddc2f4cb709f477c40f955f1dba"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">I2C_GetData</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga94200ddc2f4cb709f477c40f955f1dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns the data stored in data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">More...</a><br /></td></tr>
<tr class="separator:ga94200ddc2f4cb709f477c40f955f1dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">I2C_SetData</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Data)</td></tr>
<tr class="memdesc:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function writes the data to data register of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">More...</a><br /></td></tr>
<tr class="separator:ga60aacc589bbf1b9e5034a413a8c6667c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5af4856de07386b9f5feaccf1151a2b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">I2C_SetSlaveAddr</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddr, uint8_t u8GCMode)</td></tr>
<tr class="memdesc:ga5af4856de07386b9f5feaccf1151a2b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure slave address and enable GC mode.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">More...</a><br /></td></tr>
<tr class="separator:ga5af4856de07386b9f5feaccf1151a2b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d0b902bc72f1344225974be9cb04a68"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">I2C_SetSlaveAddrMask</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddrMask)</td></tr>
<tr class="memdesc:ga1d0b902bc72f1344225974be9cb04a68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the mask of slave address. The corresponding address bit is "Don't Care".  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">More...</a><br /></td></tr>
<tr class="separator:ga1d0b902bc72f1344225974be9cb04a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40af7f5199f9ecfeb12346dd06795e30"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">I2C_EnableTimeout</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8LongTimeout)</td></tr>
<tr class="memdesc:ga40af7f5199f9ecfeb12346dd06795e30"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables timeout function and configures DIV4 function to support long timeout.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">More...</a><br /></td></tr>
<tr class="separator:ga40af7f5199f9ecfeb12346dd06795e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">I2C_DisableTimeout</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables timeout function.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">More...</a><br /></td></tr>
<tr class="separator:gaeacf8ee23bc7ad36ae7bb281cc11e288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3873e5f04b3bb39022790f79a11e207"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">I2C_EnableWakeup</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:gab3873e5f04b3bb39022790f79a11e207"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the wakeup function of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">More...</a><br /></td></tr>
<tr class="separator:gab3873e5f04b3bb39022790f79a11e207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga836afb05deae9304e7090e511be42592"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">I2C_DisableWakeup</a> (<a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</td></tr>
<tr class="memdesc:ga836afb05deae9304e7090e511be42592"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the wakeup function of I2C module.  <a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">More...</a><br /></td></tr>
<tr class="separator:ga836afb05deae9304e7090e511be42592"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gaa63a0d54048dd325306f3642c1d8915a" name="gaa63a0d54048dd325306f3642c1d8915a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa63a0d54048dd325306f3642c1d8915a">&#9670;&nbsp;</a></span>I2C_CLEAR_TIMEOUT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_CLEAR_TIMEOUT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clears timeout flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00142">142</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gac22d4999dd90624fb9941b93c31543ad" name="gac22d4999dd90624fb9941b93c31543ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac22d4999dd90624fb9941b93c31543ad">&#9670;&nbsp;</a></span>I2C_CLEAR_WAKEUP_ACK_DONE_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_CLEAR_WAKEUP_ACK_DONE_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clears acknowledge status after waking up. And also release SCK pin after clearing this flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00179">179</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga86c5a22eb07bb08aa68462c7a3501140" name="ga86c5a22eb07bb08aa68462c7a3501140"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga86c5a22eb07bb08aa68462c7a3501140">&#9670;&nbsp;</a></span>I2C_CLEAR_WAKEUP_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_CLEAR_WAKEUP_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clears wakeup flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00170">170</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gaacacc2531c5b645bd772d203c79eddf9" name="gaacacc2531c5b645bd772d203c79eddf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaacacc2531c5b645bd772d203c79eddf9">&#9670;&nbsp;</a></span>I2C_DISABLE_CLOCK_STRETCH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_DISABLE_CLOCK_STRETCH</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro disables clock stretch function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00203">203</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga9faca3dc728a4c9c87dbf4c1a9db1d66" name="ga9faca3dc728a4c9c87dbf4c1a9db1d66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9faca3dc728a4c9c87dbf4c1a9db1d66">&#9670;&nbsp;</a></span>I2C_DISABLE_FIFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_DISABLE_FIFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro disables the FIFO function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00187">187</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga49c897474a06bd2e6c5a5a8196c1900b" name="ga49c897474a06bd2e6c5a5a8196c1900b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga49c897474a06bd2e6c5a5a8196c1900b">&#9670;&nbsp;</a></span>I2C_DISABLE_OVERRUN_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_DISABLE_OVERRUN_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro disables over-run interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00219">219</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga46c0dcd9aec6e8a0d7173d5ae3764c50" name="ga46c0dcd9aec6e8a0d7173d5ae3764c50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga46c0dcd9aec6e8a0d7173d5ae3764c50">&#9670;&nbsp;</a></span>I2C_DISABLE_UNDERRUN_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_DISABLE_UNDERRUN_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro disables under-run interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00243">243</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gaba11c03cde7cef9b5f719f956de107e4" name="gaba11c03cde7cef9b5f719f956de107e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaba11c03cde7cef9b5f719f956de107e4">&#9670;&nbsp;</a></span>I2C_ENABLE_CLOCK_STRETCH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_ENABLE_CLOCK_STRETCH</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro enables clock stretch function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00211">211</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga44e5a9b2699b7075e29e5c15c7eb143a" name="ga44e5a9b2699b7075e29e5c15c7eb143a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga44e5a9b2699b7075e29e5c15c7eb143a">&#9670;&nbsp;</a></span>I2C_ENABLE_FIFO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_ENABLE_FIFO</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro enables the FIFO function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00195">195</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gad670b5e947410528045e16b863f69794" name="gad670b5e947410528045e16b863f69794"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad670b5e947410528045e16b863f69794">&#9670;&nbsp;</a></span>I2C_ENABLE_OVERRUN_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_ENABLE_OVERRUN_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro enables over-run interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00227">227</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga885a7306fabd9f2a9e26b88318162761" name="ga885a7306fabd9f2a9e26b88318162761"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga885a7306fabd9f2a9e26b88318162761">&#9670;&nbsp;</a></span>I2C_ENABLE_UNDERRUN_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_ENABLE_UNDERRUN_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro enables under-run interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00235">235</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga4dd9b04f7f3ed1bbb42a95770352c98e" name="ga4dd9b04f7f3ed1bbb42a95770352c98e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4dd9b04f7f3ed1bbb42a95770352c98e">&#9670;&nbsp;</a></span>I2C_GET_BUS_FREE_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GET_BUS_FREE_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro returns I2C bus status flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Bus is busy. </td></tr>
    <tr><td class="paramname">1</td><td>Bus is free. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00253">253</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga18ecbaa3893ead749626ec3cbe6d1f50" name="ga18ecbaa3893ead749626ec3cbe6d1f50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga18ecbaa3893ead749626ec3cbe6d1f50">&#9670;&nbsp;</a></span>I2C_GET_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GET_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro returns the data stored in data register of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Data. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00107">107</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga211b1c0cf5431840203935cfd5d0813d" name="ga211b1c0cf5431840203935cfd5d0813d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga211b1c0cf5431840203935cfd5d0813d">&#9670;&nbsp;</a></span>I2C_GET_STATUS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GET_STATUS</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro returns the status of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00124">124</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga664d5a97c7cdee7d320355b61ec22902" name="ga664d5a97c7cdee7d320355b61ec22902"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga664d5a97c7cdee7d320355b61ec22902">&#9670;&nbsp;</a></span>I2C_GET_TIMEOUT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GET_TIMEOUT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro returns timeout flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Flag is not set. </td></tr>
    <tr><td class="paramname">1</td><td>Flag is set. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00134">134</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gac3e70164838782171d0b18268f4e0296" name="gac3e70164838782171d0b18268f4e0296"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac3e70164838782171d0b18268f4e0296">&#9670;&nbsp;</a></span>I2C_GET_WAKEUP_ACK_DONE_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GET_WAKEUP_ACK_DONE_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro returns acknowledge status after waking up. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Acknowledge signal isn't detected. </td></tr>
    <tr><td class="paramname">1</td><td>Acknowledge signal is detected. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00162">162</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gaafe5fd3b57310f61c978155a7d3f3dba" name="gaafe5fd3b57310f61c978155a7d3f3dba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaafe5fd3b57310f61c978155a7d3f3dba">&#9670;&nbsp;</a></span>I2C_GET_WAKEUP_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GET_WAKEUP_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro returns wakeup flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Flag is not set. </td></tr>
    <tr><td class="paramname">1</td><td>Flag is set. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00152">152</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gadab79bb6a9a2f9645f71bcf8819384eb" name="gadab79bb6a9a2f9645f71bcf8819384eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadab79bb6a9a2f9645f71bcf8819384eb">&#9670;&nbsp;</a></span>I2C_GET_WAKEUP_RW_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_GET_WAKEUP_RW_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro returns wakeup read/write flag. After system wake up, this bit indicates that the master wants to read or write in R/W bit of I2C data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Write command. </td></tr>
    <tr><td class="paramname">1</td><td>Read command. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00264">264</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga07e8bf0b7e1eb66c75b49064310b50e1" name="ga07e8bf0b7e1eb66c75b49064310b50e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga07e8bf0b7e1eb66c75b49064310b50e1">&#9670;&nbsp;</a></span>I2C_SET_CONTROL_REG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_SET_CONTROL_REG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u8Ctrl&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro sets the I2C control register at one time. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Ctrl</td><td>is the register value of I2C control register. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00055">55</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gaa8acb3072a52db55d5eb74542cd683a9" name="gaa8acb3072a52db55d5eb74542cd683a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa8acb3072a52db55d5eb74542cd683a9">&#9670;&nbsp;</a></span>I2C_SET_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_SET_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u8Data&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro writes the data to data register of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Data</td><td>is the data which will be write to data register of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00116">116</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="gab44eef74686218d541e066124145ba34" name="gab44eef74686218d541e066124145ba34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab44eef74686218d541e066124145ba34">&#9670;&nbsp;</a></span>I2C_START</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_START</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">i2c</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro only set START bit to the control register of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00063">63</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gac3ab4949dccb6092ca2727d29bb73949" name="gac3ab4949dccb6092ca2727d29bb73949"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac3ab4949dccb6092ca2727d29bb73949">&#9670;&nbsp;</a></span>I2C_ClearIntFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_ClearIntFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function clears the interrupt flag of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00173">173</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga52dc389ef7d32581831ca8e9c9f4a4bd" name="ga52dc389ef7d32581831ca8e9c9f4a4bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga52dc389ef7d32581831ca8e9c9f4a4bd">&#9670;&nbsp;</a></span>I2C_ClearTimeoutFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_ClearTimeoutFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function clears the timeout flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00076">76</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga21c950fb4e57a2047b69cb811003fa9a" name="ga21c950fb4e57a2047b69cb811003fa9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga21c950fb4e57a2047b69cb811003fa9a">&#9670;&nbsp;</a></span>I2C_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function closes the I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00053">53</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga8f7c9f0b9e85f4a6de170dbf26826061" name="ga8f7c9f0b9e85f4a6de170dbf26826061"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8f7c9f0b9e85f4a6de170dbf26826061">&#9670;&nbsp;</a></span>I2C_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_DisableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disables the interrupt of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00112">112</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="gaeacf8ee23bc7ad36ae7bb281cc11e288" name="gaeacf8ee23bc7ad36ae7bb281cc11e288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaeacf8ee23bc7ad36ae7bb281cc11e288">&#9670;&nbsp;</a></span>I2C_DisableTimeout()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_DisableTimeout </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disables timeout function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00277">277</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga836afb05deae9304e7090e511be42592" name="ga836afb05deae9304e7090e511be42592"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga836afb05deae9304e7090e511be42592">&#9670;&nbsp;</a></span>I2C_DisableWakeup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_DisableWakeup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disables the wakeup function of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00297">297</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga7c48aae047e67d4484009b3f56f78e74" name="ga7c48aae047e67d4484009b3f56f78e74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7c48aae047e67d4484009b3f56f78e74">&#9670;&nbsp;</a></span>I2C_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_EnableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enables the interrupt (EI bit) of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00122">122</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga40af7f5199f9ecfeb12346dd06795e30" name="ga40af7f5199f9ecfeb12346dd06795e30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga40af7f5199f9ecfeb12346dd06795e30">&#9670;&nbsp;</a></span>I2C_EnableTimeout()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_EnableTimeout </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8LongTimeout</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enables timeout function and configures DIV4 function to support long timeout. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8LongTimeout</td><td>Enable timeout counter input clock is divide by 4. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00262">262</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="gab3873e5f04b3bb39022790f79a11e207" name="gab3873e5f04b3bb39022790f79a11e207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab3873e5f04b3bb39022790f79a11e207">&#9670;&nbsp;</a></span>I2C_EnableWakeup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_EnableWakeup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enables the wakeup function of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00287">287</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga722b0efc53445c3ee7bea5e2b0e48ec6" name="ga722b0efc53445c3ee7bea5e2b0e48ec6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga722b0efc53445c3ee7bea5e2b0e48ec6">&#9670;&nbsp;</a></span>I2C_GetBusClockFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_GetBusClockFreq </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the real bus clock of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Actual I2C bus clock frequency. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00132">132</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga722b0efc53445c3ee7bea5e2b0e48ec6_cgraph.png" border="0" usemap="#ad6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga722b0efc53445c3ee7bea5e2b0e48ec6_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga94200ddc2f4cb709f477c40f955f1dba" name="ga94200ddc2f4cb709f477c40f955f1dba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga94200ddc2f4cb709f477c40f955f1dba">&#9670;&nbsp;</a></span>I2C_GetData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_GetData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the data stored in data register of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Data. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00193">193</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="gad181ccedfb141167da8faf8ef279ba92" name="gad181ccedfb141167da8faf8ef279ba92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad181ccedfb141167da8faf8ef279ba92">&#9670;&nbsp;</a></span>I2C_GetIntFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_GetIntFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function gets the interrupt flag of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Interrupt flag. </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Flag is not set. </td></tr>
    <tr><td class="paramname">1</td><td>Flag is set. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00163">163</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga87ee3e2d3837de97391187449bb66af2" name="ga87ee3e2d3837de97391187449bb66af2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga87ee3e2d3837de97391187449bb66af2">&#9670;&nbsp;</a></span>I2C_GetStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_GetStatus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns the status of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>I2C status </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00183">183</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="gae8701d230c114b4b73757a08d0e23309" name="gae8701d230c114b4b73757a08d0e23309"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae8701d230c114b4b73757a08d0e23309">&#9670;&nbsp;</a></span>I2C_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BusClock</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function make I2C module be ready and set the wanted bus clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32BusClock</td><td>is the target bus speed of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Actual I2C bus clock frequency. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00034">34</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gae8701d230c114b4b73757a08d0e23309_cgraph.png" border="0" usemap="#ad6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_gae8701d230c114b4b73757a08d0e23309_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga270c59858dcbe767fdfa7aec2247aab5" name="ga270c59858dcbe767fdfa7aec2247aab5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga270c59858dcbe767fdfa7aec2247aab5">&#9670;&nbsp;</a></span>I2C_SetBusClockFreq()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SetBusClockFreq </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BusClock</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets bus frequency of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32BusClock</td><td>is the target bus speed of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Actual I2C bus clock frequency. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00145">145</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga270c59858dcbe767fdfa7aec2247aab5_cgraph.png" border="0" usemap="#ad6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga270c59858dcbe767fdfa7aec2247aab5_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga60aacc589bbf1b9e5034a413a8c6667c" name="ga60aacc589bbf1b9e5034a413a8c6667c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga60aacc589bbf1b9e5034a413a8c6667c">&#9670;&nbsp;</a></span>I2C_SetData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_SetData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function writes the data to data register of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Data</td><td>is the data which will be write to data register of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00204">204</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga5af4856de07386b9f5feaccf1151a2b0" name="ga5af4856de07386b9f5feaccf1151a2b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5af4856de07386b9f5feaccf1151a2b0">&#9670;&nbsp;</a></span>I2C_SetSlaveAddr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_SetSlaveAddr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8SlaveNo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8SlaveAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8GCMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configure slave address and enable GC mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8SlaveNo</td><td>is the set number of salve address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8SlaveAddr</td><td>is the slave address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8GCMode</td><td>GC mode enable or not. Valid values are:<ul>
<li><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga032982f18bb75c985d03f28bf99a7bff">I2C_GCMODE_ENABLE</a></li>
<li><a class="el" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa15690304de24671da7e5282797bd31a">I2C_GCMODE_DISABLE</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00219">219</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga1d0b902bc72f1344225974be9cb04a68" name="ga1d0b902bc72f1344225974be9cb04a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1d0b902bc72f1344225974be9cb04a68">&#9670;&nbsp;</a></span>I2C_SetSlaveAddrMask()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_SetSlaveAddrMask </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8SlaveNo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8SlaveAddrMask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configure the mask of slave address. The corresponding address bit is "Don't Care". </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8SlaveNo</td><td>is the set number of salve address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8SlaveAddrMask</td><td>is the slave address mask. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00241">241</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="ga1fd3b2898e76b2b2aa68cbdf42c41a63" name="ga1fd3b2898e76b2b2aa68cbdf42c41a63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1fd3b2898e76b2b2aa68cbdf42c41a63">&#9670;&nbsp;</a></span>I2C_STOP()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static __INLINE int32_t I2C_STOP </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This macro only set STOP bit to the control register of I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 success </dd>
<dd>
-1 time out </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00072">72</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
<a id="ga29b31f62a804d8127bc8d480f5140856" name="ga29b31f62a804d8127bc8d480f5140856"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga29b31f62a804d8127bc8d480f5140856">&#9670;&nbsp;</a></span>I2C_Trigger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_Trigger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Stop</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Si</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Ack</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets the control bit of the I2C module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Start</td><td>sets START bit to I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Stop</td><td>sets STOP bit to I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Si</td><td>sets SI bit to I2C module. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Ack</td><td>sets ACK bit to I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/dcb/i2c_8c_source.html#l00090">90</a> of file <a class="el" href="../../d9/dcb/i2c_8c_source.html">i2c.c</a>.</p>

</div>
</div>
<a id="gaa01c78af240d256f01f7f5ade53bb5c5" name="gaa01c78af240d256f01f7f5ade53bb5c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa01c78af240d256f01f7f5ade53bb5c5">&#9670;&nbsp;</a></span>I2C_WAIT_READY()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static __INLINE int32_t I2C_WAIT_READY </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *&#160;</td>
          <td class="paramname"><em>i2c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This macro will return when I2C module is ready. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i2c</td><td>is the base address of I2C module. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 success </dd>
<dd>
-1 time out </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/daf/i2c_8h_source.html#l00090">90</a> of file <a class="el" href="../../d5/daf/i2c_8h_source.html">i2c.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
